ZWrtParserInternal::State Struct Reference

Internal: the state of a ZWrtParser. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
bool | m_headerUsed
| true if the header is used
bool | m_footerUsed
| true if the footer is used
int | m_headerHeight
| the header height if known
int | m_footerHeight
| the footer height if known

## Detailed Description

Internal: the state of a ZWrtParser.

## Constructor & Destructor Documentation

## State()

ZWrtParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_actPage

int ZWrtParserInternal::State::m_actPage

the actual page

Referenced by State().

## m_footerHeight

int ZWrtParserInternal::State::m_footerHeight

the footer height if known

Referenced by State().

## m_footerUsed

bool ZWrtParserInternal::State::m_footerUsed

true if the footer is used

Referenced by State().

## m_headerHeight

int ZWrtParserInternal::State::m_headerHeight

the header height if known

Referenced by State().

## m_headerUsed

bool ZWrtParserInternal::State::m_headerUsed

true if the header is used

Referenced by State().

## m_numPages

int ZWrtParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

The documentation for this struct was generated from the following file:

- ZWrtParser.cxx